Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OSCL_wString Class Reference
[OSCL Util]

`#include <oscl_string.h>`

Inheritance diagram for OSCL_wString:

## Public Types
typedef oscl_wchar | chartype
## Public Methods
virtual uint32 | get_size () const=0
virtual uint32 | get_maxsize () const=0
virtual const chartype * | get_cstr () const=0
virtual bool | is_writable () const
virtual chartype * | get_str () const=0
OSCL_wString & | operator= (const OSCL_wString &src)
OSCL_wString & | operator= (const chartype *cstr)
OSCL_wString & | operator+= (const OSCL_wString &src)
OSCL_wString & | operator+= (const chartype *cstr)
OSCL_wString & | operator+= (const chartype c)
bool | operator== (const OSCL_wString &src) const
bool | operator!= (const OSCL_wString &src) const
bool | operator< (const OSCL_wString &src) const
bool | operator<= (const OSCL_wString &src) const
bool | operator> (const OSCL_wString &src) const
bool | operator>= (const OSCL_wString &src) const
bool | operator== (const chartype *cstr) const
chartype | operator[] (uint32 index) const
virtual chartype | read (uint32 index) const
virtual uint32 | setrep_to_wide_char (const char *src, uint32 len, TOSCL_wStringOp op, Oscl_DefAlloc *aAlloc)
virtual int8 | hash () const
virtual void | write (uint32 index, chartype c)
virtual void | write (uint32 offset, uint32 length, const chartype *buf)
## Protected Methods
| OSCL_wString ()
virtual | ~OSCL_wString ()
virtual void | set_rep (const chartype *cstr)=0
virtual void | append_rep (const chartype *cstr)=0
virtual void | set_rep (const OSCL_wString &src)=0
virtual void | append_rep (const OSCL_wString &src)=0
virtual void | set_len (uint32 len)=0

## Detailed Description

A common base class for string classes with wide character (oscl_wchar) format. OSCL_wString and OSCL_String are identical except for the character format. For descriptions, see OSCL_String.

## Member Typedef Documentation

typedef oscl_wchar OSCL_wString::chartype

| Reimplemented in OSCL_wHeapString< Alloc >, OSCL_wHeapStringA, OSCL_wStackString< MaxBufSize >, and OSCL_wFastString.

## Constructor & Destructor Documentation

OSCL_wString::OSCL_wString | ( |  | ) | `[protected]`

virtual OSCL_wString::~OSCL_wString | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void OSCL_wString::append_rep | ( | const OSCL_wString & | src | ) | `[protected, pure virtual]`

virtual void OSCL_wString::append_rep | ( | const chartype * | cstr | ) | `[protected, pure virtual]`

virtual const chartype* OSCL_wString::get_cstr | ( |  | ) | `[pure virtual]`

| Implemented in OSCL_wHeapString< Alloc >, OSCL_wHeapStringA, OSCL_wStackString< MaxBufSize >, and OSCL_wFastString.

virtual uint32 OSCL_wString::get_maxsize | ( |  | ) | `[pure virtual]`

| Implemented in OSCL_wHeapString< Alloc >, OSCL_wHeapStringA, OSCL_wStackString< MaxBufSize >, and OSCL_wFastString.

virtual uint32 OSCL_wString::get_size | ( |  | ) | `[pure virtual]`

| Implemented in OSCL_wHeapString< Alloc >, OSCL_wHeapStringA, OSCL_wStackString< MaxBufSize >, and OSCL_wFastString.

virtual chartype* OSCL_wString::get_str | ( |  | ) | `[pure virtual]`

| Implemented in OSCL_wHeapString< Alloc >, OSCL_wHeapStringA, OSCL_wStackString< MaxBufSize >, and OSCL_wFastString.

virtual int8 OSCL_wString::hash | ( |  | ) | `[virtual]`

virtual bool OSCL_wString::is_writable | ( |  | ) | `[virtual]`

bool OSCL_wString::operator!= | ( | const OSCL_wString & | src | ) | const

OSCL_wString& OSCL_wString::operator+= | ( | const chartype | c | ) |

OSCL_wString& OSCL_wString::operator+= | ( | const chartype * | cstr | ) |

OSCL_wString& OSCL_wString::operator+= | ( | const OSCL_wString & | src | ) |

bool OSCL_wString::operator< | ( | const OSCL_wString & | src | ) | const

bool OSCL_wString::operator<= | ( | const OSCL_wString & | src | ) | const

OSCL_wString& OSCL_wString::operator= | ( | const chartype * | cstr | ) |

| Reimplemented in OSCL_wHeapString< Alloc >, OSCL_wHeapStringA, OSCL_wStackString< MaxBufSize >, and OSCL_wFastString.

OSCL_wString& OSCL_wString::operator= | ( | const OSCL_wString & | src | ) |

| Reimplemented in OSCL_wHeapString< Alloc >, OSCL_wHeapStringA, and OSCL_wStackString< MaxBufSize >.

bool OSCL_wString::operator== | ( | const chartype * | cstr | ) | const

bool OSCL_wString::operator== | ( | const OSCL_wString & | src | ) | const

bool OSCL_wString::operator> | ( | const OSCL_wString & | src | ) | const

bool OSCL_wString::operator>= | ( | const OSCL_wString & | src | ) | const

chartype OSCL_wString::operator[] | ( | uint32 | index | ) | const

virtual chartype OSCL_wString::read | ( | uint32 | index | ) | const`[virtual]`

virtual void OSCL_wString::set_len | ( | uint32 | len | ) | `[protected, pure virtual]`

virtual void OSCL_wString::set_rep | ( | const OSCL_wString & | src | ) | `[protected, pure virtual]`

virtual void OSCL_wString::set_rep | ( | const chartype * | cstr | ) | `[protected, pure virtual]`

virtual uint32 OSCL_wString::setrep_to_wide_char | ( | const char * | src,
|  | uint32 | len,
|  | TOSCL_wStringOp | op,
|  | Oscl_DefAlloc * | aAlloc
| ) | `[virtual]`

virtual void OSCL_wString::write | ( | uint32 | offset,
|  | uint32 | length,
|  | const chartype * | buf
| ) | `[virtual]`

virtual void OSCL_wString::write | ( | uint32 | index,
|  | chartype | c
| ) | `[virtual]`

The documentation for this class was generated from the following file:

- oscl_string.h